#!/usr/bin/python

""" targetupdate: update the list of rpms in a target """

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Copyright 2004 Dries Verachtert

import ConfigParser, os, posixpath, sys, commands
from optparse import OptionParser
sys.path.append(".")
sys.path.append("pydar")
sys.path.append("/usr/share/pydar2/pydar")


from pydarclient import PydarClient
from config import Config

conf = Config.getInstance()

parser = OptionParser(usage="usage: pydar-master-targetupdate.py [targetName] [mailTo]")
parser.add_option("-c", "--clientconfig", default=None, dest="clientconfig", help="specify configuration file", metavar="FILE")
(options, args) = parser.parse_args()
conf.specifyGetOptOptions(options)
password = conf.getClientPassword()

pc = PydarClient(conf.getBuildMasterUrlClient())
targetName = args[0] #"dries"
mailTo = args[1] # 'dries@ulyssis.org'
priority = 0

commandlines = pc.updateTargetFileList(conf.getClientUserId(), password, targetName, mailTo)

